This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 601403 - (CVE-2010-2156) CVE-2010-2156 dhcp: remote DoS via zero-length client ID
CVE-2010-2156 dhcp: remote DoS via zero-length client ID
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100601,reported=20100607,sou...
: Security
Depends On: 601405 601406
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 17:20 EDT by Vincent Danen
Modified: 2015-10-15 17:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 12:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upstream patch to correct the issue (1.16 KB, patch)
2010-06-07 17:23 EDT, Vincent Danen
no flags Details | Diff

  None (edit)
Description Vincent Danen 2010-06-07 17:20:20 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-2156 to
the following vulnerability:

Name: CVE-2010-2156
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-2156
Assigned: 20100603
Reference: CONFIRM: http://ftp.isc.org/isc/dhcp/dhcp-4.0.2-P1-RELNOTES
Reference: CONFIRM: http://ftp.isc.org/isc/dhcp/dhcp-4.1.1-P1-RELNOTES

ISC DHCP 4.1 before 4.1.1-P1 and 4.0 before 4.0.2-P1 allows remote
attackers to cause a denial of service (server exit) via a zero-length
client ID.
Comment 1 Vincent Danen 2010-06-07 17:23:06 EDT
Created attachment 421951 [details]
upstream patch to correct the issue
Comment 3 Vincent Danen 2010-06-07 17:24:04 EDT
Created dhcp tracking bugs for this issue

Affects: fedora-all [bug 601405]
Comment 5 Fedora Update System 2010-06-09 05:18:13 EDT
dhcp-4.1.1-22.P1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-22.P1.fc13
Comment 6 Fedora Update System 2010-06-09 05:19:33 EDT
dhcp-4.1.1-17.P1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dhcp-4.1.1-17.P1.fc12
Comment 9 Tomas Hoger 2010-06-09 07:18:55 EDT
Statement:

Not vulnerable. These issues did not affect the versions of dhcp as shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 10 Fedora Update System 2010-06-15 11:56:49 EDT
dhcp-4.1.1-22.P1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-06-18 08:22:30 EDT
dhcp-4.1.0p1-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-6.fc11
Comment 12 Fedora Update System 2010-06-24 12:19:43 EDT
dhcp-4.1.0p1-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-06-24 12:27:33 EDT
dhcp-4.1.1-17.P1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.